/*********************************************************************
	Rhapsody	: 6.1 
	Login		: Masood Khosroshahy
	Component	: DefaultComponent 
	Configuration 	: DefaultConfig
	Model Element	: sip
//!	Generated Date	: Thu, 20, Apr 2006  
	File Path	: DefaultComponent/DefaultConfig/sip.h
*********************************************************************/


#ifndef sip_H 

#define sip_H 

#include <oxf/oxf.h>
#include <aom/aom.h>
#include <oxf/event.h>

//## package sip 


//#[ ignore 
#define evDNSLookup_sip_id 4801


#define evDNSLookupRes_sip_id 4802


#define evINVITE_sip_id 4803


#define evCall_sip_id 4804


#define evHangup_sip_id 4805


#define evLogin_sip_id 4806


#define evDoCallForwarding_sip_id 4807


#define evLogout_sip_id 4808


#define evDoCallFwdOnBusy_sip_id 4809


#define evACK_sip_id 4810


#define evOPTIONS_sip_id 4811


#define evBYE_sip_id 4812


#define evCANCEL_sip_id 4813


#define evREGISTER_sip_id 4814


#define ev100_trying_sip_id 4815


#define ev180_ringing_sip_id 4816


#define ev181_being_forwarded_sip_id 4817


#define ev200_OK_sip_id 4818


#define ev301_moved_perm_sip_id 4819


#define ev302_moved_tmp_sip_id 4820


#define ev305_use_proxy_sip_id 4821


#define ev400_bad_request_sip_id 4822


#define ev401_unauth_sip_id 4823


#define ev403_forbidden_sip_id 4824


#define ev404_not_found_sip_id 4825


#define ev415_unsupp_media_sip_id 4826


#define ev480_temp_unavailable_sip_id 4827


#define ev482_loop_detected_sip_id 4828


#define ev486_busy_here_sip_id 4829


#define ev500_server_error_sip_id 4830


#define ev501_not_impl_sip_id 4831


#define ev502_bad_gateway_sip_id 4832


#define ev600_busy_sip_id 4833


#define ev603_decline_sip_id 4834


#define ev604_not_exists_anywhere_sip_id 4835


#define evInitialization_sip_id 4836


#define evRes_init_sip_id 4837


#define removeServerFromViaField_sip_id 4838
//#]

//----------------------------------------------------------------------------
// sip.h                                                                  
//----------------------------------------------------------------------------
class architectureSIP;
class iDNSLookupInitRes;
class iDNSLookupResInit;
class Initiator_and_dns;
class SIP_Redirect;
class SIP_terminal;
class ev100_trying;
class ev180_ringing;
class ev181_being_forwarded;
class ev200_OK;
class ev301_moved_perm;
class ev302_moved_tmp;
class ev305_use_proxy;
class ev400_bad_request;
class ev401_unauth;
class ev403_forbidden;
class ev404_not_found;
class ev415_unsupp_media;
class ev480_temp_unavailable;
class ev482_loop_detected;
class ev486_busy_here;
class ev500_server_error;
class ev501_not_impl;
class ev502_bad_gateway;
class ev600_busy;
class ev603_decline;
class ev604_not_exists_anywhere;
class evACK;
class evBYE;
class evCall;
class evCANCEL;
class evDNSLookup;
class evDNSLookupRes;
class evDoCallForwarding;
class evDoCallFwdOnBusy;
class evHangup;
class evInitialization;
class evINVITE;
class evLogin;
class evLogout;
class evOPTIONS;
class evREGISTER;
class evRes_init;

#ifdef _OMINSTRUMENT
class OMAnimatedev100_trying;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev180_ringing;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev181_being_forwarded;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev200_OK;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev301_moved_perm;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev302_moved_tmp;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev305_use_proxy;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev400_bad_request;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev401_unauth;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev403_forbidden;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev404_not_found;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev415_unsupp_media;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev480_temp_unavailable;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev482_loop_detected;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev486_busy_here;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev500_server_error;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev501_not_impl;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev502_bad_gateway;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev600_busy;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev603_decline;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedev604_not_exists_anywhere;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevACK;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevBYE;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevCall;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevCANCEL;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevDNSLookup;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevDNSLookupRes;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevDoCallForwarding;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevDoCallFwdOnBusy;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevHangup;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevInitialization;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevINVITE;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevLogin;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevLogout;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevOPTIONS;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevREGISTER;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedevRes_init;
#endif // _OMINSTRUMENT

#ifdef _OMINSTRUMENT
class OMAnimatedremoveServerFromViaField;
#endif // _OMINSTRUMENT
class removeServerFromViaField;


//#[ ignore 
struct SIP_headerset {
    OMString Array[20][2];		//## attribute Array 
};

struct SIP_body {
    OMString Array[20][2];		//## attribute Array 
};

struct dns_table_type {
    char* Array[6][2];		//## attribute Array 
};

struct user_table_type {
    OMString redirection_Array[10];		//## attribute redirection_Array 
    OMString user_Array[10];		//## attribute user_Array 
    int user_idxArray[10];		//## attribute user_idxArray 
};
//#]


//## event evDNSLookup(OMString) 
class evDNSLookup : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevDNSLookup;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evDNSLookup();
    
    evDNSLookup(OMString p_domain);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    OMString domain;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevDNSLookup : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evDNSLookup)


};

#endif // _OMINSTRUMENT
//## event evDNSLookupRes(char*) 
class evDNSLookupRes : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevDNSLookupRes;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evDNSLookupRes();
    
    evDNSLookupRes(char* p_portName);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* portName;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevDNSLookupRes : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evDNSLookupRes)


};

#endif // _OMINSTRUMENT
//## event evINVITE(OMString,SIP_headerset,SIP_body) 
class evINVITE : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevINVITE;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evINVITE();
    
    evINVITE(OMString p_corres, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    OMString corres;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevINVITE : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evINVITE)


};

#endif // _OMINSTRUMENT
//## event evCall(char*) 
class evCall : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevCall;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evCall();
    
    evCall(char* p_string);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* string;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevCall : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evCall)


};

#endif // _OMINSTRUMENT
//## event evHangup() 
class evHangup : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevHangup;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evHangup();


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevHangup : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evHangup)


};

#endif // _OMINSTRUMENT
//## event evLogin(char*) 
class evLogin : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevLogin;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evLogin();
    
    evLogin(char* p_string);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* string;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevLogin : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evLogin)


};

#endif // _OMINSTRUMENT
//## event evDoCallForwarding(char*) 
class evDoCallForwarding : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevDoCallForwarding;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evDoCallForwarding();
    
    evDoCallForwarding(char* p_string);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* string;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevDoCallForwarding : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evDoCallForwarding)


};

#endif // _OMINSTRUMENT
//## event evLogout() 
class evLogout : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevLogout;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evLogout();


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevLogout : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evLogout)


};

#endif // _OMINSTRUMENT
//## event evDoCallFwdOnBusy(char*) 
class evDoCallFwdOnBusy : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevDoCallFwdOnBusy;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evDoCallFwdOnBusy();
    
    evDoCallFwdOnBusy(char* p_string);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* string;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevDoCallFwdOnBusy : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evDoCallFwdOnBusy)


};

#endif // _OMINSTRUMENT
//## event evACK(OMString,SIP_headerset,SIP_body) 
class evACK : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevACK;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evACK();
    
    evACK(OMString p_startLine, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    OMString startLine;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevACK : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evACK)


};

#endif // _OMINSTRUMENT
//## event evOPTIONS(char*,SIP_headerset,SIP_body) 
class evOPTIONS : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevOPTIONS;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evOPTIONS();
    
    evOPTIONS(char* p_startLine, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* startLine;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevOPTIONS : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evOPTIONS)


};

#endif // _OMINSTRUMENT
//## event evBYE(OMString,SIP_headerset,SIP_body) 
class evBYE : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevBYE;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evBYE();
    
    evBYE(OMString p_startLine, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    OMString startLine;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevBYE : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evBYE)


};

#endif // _OMINSTRUMENT
//## event evCANCEL(char*,SIP_headerset,SIP_body) 
class evCANCEL : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevCANCEL;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evCANCEL();
    
    evCANCEL(char* p_startLine, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* startLine;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevCANCEL : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evCANCEL)


};

#endif // _OMINSTRUMENT
//## event evREGISTER(char*,OMString,SIP_headerset) 
class evREGISTER : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevREGISTER;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evREGISTER();
    
    evREGISTER(char* p_startLine, OMString p_expires, SIP_headerset p_sip_headerset);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* startLine;
    OMString expires;
    SIP_headerset sip_headerset;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevREGISTER : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evREGISTER)


};

#endif // _OMINSTRUMENT
//## event ev100_trying(SIP_headerset,SIP_body) 
class ev100_trying : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev100_trying;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev100_trying();
    
    ev100_trying(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev100_trying : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev100_trying)


};

#endif // _OMINSTRUMENT
//## event ev180_ringing(SIP_headerset,SIP_body) 
class ev180_ringing : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev180_ringing;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev180_ringing();
    
    ev180_ringing(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev180_ringing : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev180_ringing)


};

#endif // _OMINSTRUMENT
//## event ev181_being_forwarded(SIP_headerset,SIP_body) 
class ev181_being_forwarded : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev181_being_forwarded;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev181_being_forwarded();
    
    ev181_being_forwarded(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev181_being_forwarded : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev181_being_forwarded)


};

#endif // _OMINSTRUMENT
//## event ev200_OK(SIP_headerset,SIP_body) 
class ev200_OK : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev200_OK;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev200_OK();
    
    ev200_OK(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev200_OK : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev200_OK)


};

#endif // _OMINSTRUMENT
//## event ev301_moved_perm(OMString,SIP_headerset,SIP_body) 
class ev301_moved_perm : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev301_moved_perm;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev301_moved_perm();
    
    ev301_moved_perm(OMString p_contact, SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    OMString contact;
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev301_moved_perm : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev301_moved_perm)


};

#endif // _OMINSTRUMENT
//## event ev302_moved_tmp(SIP_headerset,SIP_body) 
class ev302_moved_tmp : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev302_moved_tmp;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev302_moved_tmp();
    
    ev302_moved_tmp(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev302_moved_tmp : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev302_moved_tmp)


};

#endif // _OMINSTRUMENT
//## event ev305_use_proxy(SIP_headerset,SIP_body) 
class ev305_use_proxy : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev305_use_proxy;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev305_use_proxy();
    
    ev305_use_proxy(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev305_use_proxy : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev305_use_proxy)


};

#endif // _OMINSTRUMENT
//## event ev400_bad_request(SIP_headerset,SIP_body) 
class ev400_bad_request : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev400_bad_request;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev400_bad_request();
    
    ev400_bad_request(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev400_bad_request : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev400_bad_request)


};

#endif // _OMINSTRUMENT
//## event ev401_unauth(SIP_headerset,SIP_body) 
class ev401_unauth : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev401_unauth;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev401_unauth();
    
    ev401_unauth(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev401_unauth : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev401_unauth)


};

#endif // _OMINSTRUMENT
//## event ev403_forbidden(SIP_headerset,SIP_body) 
class ev403_forbidden : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev403_forbidden;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev403_forbidden();
    
    ev403_forbidden(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev403_forbidden : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev403_forbidden)


};

#endif // _OMINSTRUMENT
//## event ev404_not_found(SIP_headerset,SIP_body) 
class ev404_not_found : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev404_not_found;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev404_not_found();
    
    ev404_not_found(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev404_not_found : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev404_not_found)


};

#endif // _OMINSTRUMENT
//## event ev415_unsupp_media(SIP_headerset,SIP_body) 
class ev415_unsupp_media : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev415_unsupp_media;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev415_unsupp_media();
    
    ev415_unsupp_media(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev415_unsupp_media : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev415_unsupp_media)


};

#endif // _OMINSTRUMENT
//## event ev480_temp_unavailable(SIP_headerset,SIP_body) 
class ev480_temp_unavailable : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev480_temp_unavailable;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev480_temp_unavailable();
    
    ev480_temp_unavailable(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev480_temp_unavailable : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev480_temp_unavailable)


};

#endif // _OMINSTRUMENT
//## event ev482_loop_detected(SIP_headerset,SIP_body) 
class ev482_loop_detected : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev482_loop_detected;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev482_loop_detected();
    
    ev482_loop_detected(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev482_loop_detected : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev482_loop_detected)


};

#endif // _OMINSTRUMENT
//## event ev486_busy_here(SIP_headerset,SIP_body) 
class ev486_busy_here : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev486_busy_here;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev486_busy_here();
    
    ev486_busy_here(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev486_busy_here : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev486_busy_here)


};

#endif // _OMINSTRUMENT
//## event ev500_server_error(SIP_headerset,SIP_body) 
class ev500_server_error : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev500_server_error;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev500_server_error();
    
    ev500_server_error(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev500_server_error : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev500_server_error)


};

#endif // _OMINSTRUMENT
//## event ev501_not_impl(SIP_headerset,SIP_body) 
class ev501_not_impl : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev501_not_impl;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev501_not_impl();
    
    ev501_not_impl(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev501_not_impl : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev501_not_impl)


};

#endif // _OMINSTRUMENT
//## event ev502_bad_gateway(SIP_headerset,SIP_body) 
class ev502_bad_gateway : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev502_bad_gateway;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev502_bad_gateway();
    
    ev502_bad_gateway(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev502_bad_gateway : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev502_bad_gateway)


};

#endif // _OMINSTRUMENT
//## event ev600_busy(SIP_headerset,SIP_body) 
class ev600_busy : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev600_busy;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev600_busy();
    
    ev600_busy(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev600_busy : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev600_busy)


};

#endif // _OMINSTRUMENT
//## event ev603_decline(SIP_headerset,SIP_body) 
class ev603_decline : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev603_decline;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev603_decline();
    
    ev603_decline(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev603_decline : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev603_decline)


};

#endif // _OMINSTRUMENT
//## event ev604_not_exists_anywhere(SIP_headerset,SIP_body) 
class ev604_not_exists_anywhere : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedev604_not_exists_anywhere;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    ev604_not_exists_anywhere();
    
    ev604_not_exists_anywhere(SIP_headerset p_sip_headerset, SIP_body p_sip_body);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    SIP_headerset sip_headerset;
    SIP_body sip_body;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedev604_not_exists_anywhere : virtual public AOMEvent {

    
    DECLARE_META_EVENT(ev604_not_exists_anywhere)


};

#endif // _OMINSTRUMENT
//## event evInitialization(char*,char*) 
class evInitialization : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevInitialization;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evInitialization();
    
    evInitialization(char* p_dom_name, char* p_redirectAddress);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* dom_name;
    char* redirectAddress;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevInitialization : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evInitialization)


};

#endif // _OMINSTRUMENT
//## event evRes_init(char*) 
class evRes_init : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedevRes_init;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    evRes_init();
    
    evRes_init(char* p_dom_name);


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


////    Attributes    ////
public :
    
    char* dom_name;

};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedevRes_init : virtual public AOMEvent {

    
    DECLARE_META_EVENT(evRes_init)


};

#endif // _OMINSTRUMENT
//## event removeServerFromViaField() 
class removeServerFromViaField : public OMEvent {


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedremoveServerFromViaField;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    removeServerFromViaField();


////    Framework operations    ////
public :
    
    bool isTypeOf(short id) const;


};


#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedremoveServerFromViaField : virtual public AOMEvent {

    
    DECLARE_META_EVENT(removeServerFromViaField)


};

#endif // _OMINSTRUMENT


#endif  
/*********************************************************************
	File Path	: DefaultComponent/DefaultConfig/sip.h
*********************************************************************/

