/*********************************************************************
	Rhapsody	: 6.1 
	Login		: Masood Khosroshahy
	Component	: DefaultComponent 
	Configuration 	: DefaultConfig
	Model Element	: SIP_Redirect
//!	Generated Date	: Thu, 20, Apr 2006  
	File Path	: DefaultComponent/DefaultConfig/SIP_Redirect.h
*********************************************************************/


#ifndef SIP_Redirect_H 

#define SIP_Redirect_H 

#include <oxf/oxf.h>
#include <aom/aom.h>
#include "sip.h"
// class SIP_Redirect 
#include "iDNSLookupResInit.h"
#include <oxf/OMDefaultReactivePort.h>
// class OutBound 
#include "iDNSLookupInitRes.h"

//## package sip 

//----------------------------------------------------------------------------
// SIP_Redirect.h                                                                  
//----------------------------------------------------------------------------

#ifdef _OMINSTRUMENT
class OMAnimatedSIP_Redirect;
#endif // _OMINSTRUMENT


//## class SIP_Redirect 
class SIP_Redirect : public iDNSLookupResInit {
public :
    
        
        //## ignore 
        class pA_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pA_C();
            
            //## auto_generated 
            virtual ~pA_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_Redirect(SIP_Redirect*) 
            void connectSIP_Redirect(SIP_Redirect* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pBh_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pBh_C();
            
            //## auto_generated 
            virtual ~pBh_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_Redirect(SIP_Redirect*) 
            void connectSIP_Redirect(SIP_Redirect* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pBw_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pBw_C();
            
            //## auto_generated 
            virtual ~pBw_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_Redirect(SIP_Redirect*) 
            void connectSIP_Redirect(SIP_Redirect* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pC_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pC_C();
            
            //## auto_generated 
            virtual ~pC_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_Redirect(SIP_Redirect*) 
            void connectSIP_Redirect(SIP_Redirect* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pDNS_C  {
        public :
            class InBound_C;
            class OutBound_C;
            
        public :
            
                
                //## ignore 
                class InBound_C : public iDNSLookupResInit {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    InBound_C();
                    
                    //## auto_generated 
                    virtual ~InBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    iDNSLookupResInit* getItsIDNSLookupResInit() const;
                    
                    //## auto_generated 
                    void setItsIDNSLookupResInit(iDNSLookupResInit* p_iDNSLookupResInit);
                    
                    //## auto_generated 
                    pDNS_C* getPort() const;
                    
                    //## auto_generated 
                    void setPort(pDNS_C* p_pDNS_C);
                
                
                ////    Framework operations    ////
                public :
                    
                    //## auto_generated 
                    void __setPort(pDNS_C* p_pDNS_C);
                    
                    //## auto_generated 
                    void _setPort(pDNS_C* p_pDNS_C);
                    
                    //## auto_generated 
                    void _clearPort();
                
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    iDNSLookupResInit* itsIDNSLookupResInit;		//## link itsIDNSLookupResInit 
                    
                    
                    pDNS_C* port;		//## link port 
                    
                
                
                };
                
            
                
                //## ignore 
                class OutBound_C : public iDNSLookupInitRes {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    OutBound_C();
                    
                    //## auto_generated 
                    virtual ~OutBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    OMReactive* getItsIDNSLookupInitRes() const;
                    
                    //## auto_generated 
                    void setItsIDNSLookupInitRes(OMReactive* p_OMReactive);
                
                
                ////    Framework operations    ////
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    OMReactive* itsIDNSLookupInitRes;		//## link itsIDNSLookupInitRes 
                    
                
                
                };
                
            
        //## ignore 
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pDNS_C();
            
            //## auto_generated 
            virtual ~pDNS_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_Redirect(SIP_Redirect*) 
            void connectSIP_Redirect(SIP_Redirect* part);
            
            //## operation getItsIDNSLookupInitRes() 
            iDNSLookupInitRes* getItsIDNSLookupInitRes();
            
            //## operation getItsIDNSLookupResInit() 
            iDNSLookupResInit* getItsIDNSLookupResInit();
            
            //## operation setItsIDNSLookupInitRes(OMReactive*) 
            void setItsIDNSLookupInitRes(OMReactive* p_iDNSLookupInitRes);
            
            //## operation setItsIDNSLookupResInit(iDNSLookupResInit*) 
            void setItsIDNSLookupResInit(iDNSLookupResInit* p_iDNSLookupResInit);
        
        
        ////    Additional operations    ////
        public :
            
            //## auto_generated 
            InBound_C* getInBound() const;
            
            //## auto_generated 
            OutBound_C* getOutBound() const;
        
        
        ////    Framework operations    ////
        public :
            
            //## auto_generated 
            void destroy();
        
        protected :
            
            //## auto_generated 
            void initRelations();
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        ////    Relations and components    ////
        protected :
            
            InBound_C InBound;		//## classInstance InBound 
            
            
            OutBound_C OutBound;		//## classInstance OutBound 
            
        
        
        };
        
    
//## class SIP_Redirect 


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedSIP_Redirect;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    //## auto_generated 
    SIP_Redirect(IOxfActive* theActiveContext = 0);
    
    //## auto_generated 
    ~SIP_Redirect();


////    Operations    ////
public :
    
    //## operation addServerToViaField(OMString) 
    OMString addServerToViaField(const OMString& viaHeader);
    
    //## operation calculateStringLength(OMString) 
    int calculateStringLength(const OMString& string);
    
    //## operation dom_of_sip_addr(OMString) 
    OMString dom_of_sip_addr(const OMString& string);
    
    //## operation get_user_idx(OMString) 
    int get_user_idx(const OMString& string);
    
    //## operation removeServerFromViaField(OMString) 
    OMString removeServerFromViaField(const OMString& viaHead);
    
    //## operation sendACK(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendACK(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendBYE(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendBYE(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendINVITE(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendINVITE(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendMovedPerm(OMString,OMString,SIP_headerset,SIP_body) 
    void sendMovedPerm(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendNotFound(OMString,OMString,SIP_headerset,SIP_body) 
    void sendNotFound(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendOK(OMString,OMString,SIP_headerset,SIP_body) 
    void sendOK(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendRINGING(OMString,OMString,SIP_headerset,SIP_body) 
    void sendRINGING(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation via_head(OMString) 
    OMString via_head(const OMString& string);


////    Additional operations    ////
public :
    
    //## auto_generated 
    pA_C* getPA() const;
    
    //## auto_generated 
    pA_C* get_pA() const;
    
    //## auto_generated 
    pA_C* newPA();
    
    //## auto_generated 
    void deletePA();
    
    //## auto_generated 
    pBh_C* getPBh() const;
    
    //## auto_generated 
    pBh_C* get_pBh() const;
    
    //## auto_generated 
    pBh_C* newPBh();
    
    //## auto_generated 
    void deletePBh();
    
    //## auto_generated 
    pBw_C* getPBw() const;
    
    //## auto_generated 
    pBw_C* get_pBw() const;
    
    //## auto_generated 
    pBw_C* newPBw();
    
    //## auto_generated 
    void deletePBw();
    
    //## auto_generated 
    pC_C* getPC() const;
    
    //## auto_generated 
    pC_C* get_pC() const;
    
    //## auto_generated 
    pC_C* newPC();
    
    //## auto_generated 
    void deletePC();
    
    //## auto_generated 
    pDNS_C* getPDNS() const;
    
    //## auto_generated 
    pDNS_C* get_pDNS() const;
    
    //## auto_generated 
    pDNS_C* newPDNS();
    
    //## auto_generated 
    void deletePDNS();
    
    //## auto_generated 
    bool getIsBYEreceived() const;
    
    //## auto_generated 
    void setIsBYEreceived(bool p_IsBYEreceived);
    
    //## auto_generated 
    OMString getAddressToRegister() const;
    
    //## auto_generated 
    void setAddressToRegister(OMString p_addressToRegister);
    
    //## auto_generated 
    SIP_body getBody() const;
    
    //## auto_generated 
    void setBody(SIP_body p_body);
    
    //## auto_generated 
    SIP_body getBodyReceived() const;
    
    //## auto_generated 
    void setBodyReceived(SIP_body p_bodyReceived);
    
    //## auto_generated 
    OMString getClient() const;
    
    //## auto_generated 
    void setClient(OMString p_client);
    
    //## auto_generated 
    OMString getDestination() const;
    
    //## auto_generated 
    void setDestination(OMString p_destination);
    
    //## auto_generated 
    OMString getDom_destination() const;
    
    //## auto_generated 
    void setDom_destination(OMString p_dom_destination);
    
    //## auto_generated 
    char* getDom_name() const;
    
    //## auto_generated 
    void setDom_name(char* p_dom_name);
    
    //## auto_generated 
    OMString getDuration() const;
    
    //## auto_generated 
    void setDuration(OMString p_duration);
    
    //## auto_generated 
    SIP_headerset getHeaders() const;
    
    //## auto_generated 
    void setHeaders(SIP_headerset p_headers);
    
    //## auto_generated 
    SIP_headerset getHeadersReceived() const;
    
    //## auto_generated 
    void setHeadersReceived(SIP_headerset p_headersReceived);
    
    //## auto_generated 
    int getI() const;
    
    //## auto_generated 
    void setI(int p_i);
    
    //## auto_generated 
    int getIdx_called() const;
    
    //## auto_generated 
    void setIdx_called(int p_idx_called);
    
    //## auto_generated 
    int getJ() const;
    
    //## auto_generated 
    void setJ(int p_j);
    
    //## auto_generated 
    int getNb_users() const;
    
    //## auto_generated 
    void setNb_users(int p_nb_users);
    
    //## auto_generated 
    char* getPort() const;
    
    //## auto_generated 
    void setPort(char* p_port);
    
    //## auto_generated 
    char* getPort_client() const;
    
    //## auto_generated 
    void setPort_client(char* p_port_client);
    
    //## auto_generated 
    char* getPort_correspondant() const;
    
    //## auto_generated 
    void setPort_correspondant(char* p_port_correspondant);
    
    //## auto_generated 
    OMString getRedirection() const;
    
    //## auto_generated 
    void setRedirection(OMString p_redirection);
    
    //## auto_generated 
    int getStringLength() const;
    
    //## auto_generated 
    void setStringLength(int p_stringLength);
    
    //## auto_generated 
    int getStringLength2() const;
    
    //## auto_generated 
    void setStringLength2(int p_stringLength2);
    
    //## auto_generated 
    OMString getTmp_string() const;
    
    //## auto_generated 
    void setTmp_string(OMString p_tmp_string);
    
    //## auto_generated 
    OMString getTo_adr() const;
    
    //## auto_generated 
    void setTo_adr(OMString p_to_adr);
    
    //## auto_generated 
    int getU() const;
    
    //## auto_generated 
    void setU(int p_u);
    
    //## auto_generated 
    user_table_type getUsers() const;
    
    //## auto_generated 
    void setUsers(user_table_type p_users);
    
    //## auto_generated 
    OMString getVia_adr() const;
    
    //## auto_generated 
    void setVia_adr(OMString p_via_adr);
    
    //## auto_generated 
    OMString getVia_extract() const;
    
    //## auto_generated 
    void setVia_extract(OMString p_via_extract);


////    Framework operations    ////
public :
    
    //evINVITE(OMString,SIP_headerset,SIP_body);
    
    //evACK(OMString,SIP_headerset,SIP_body);
    
    //evREGISTER(char*,OMString,SIP_headerset);
    
    //ev200_OK(SIP_headerset,SIP_body);
    
    //removeServerFromViaField();
    
    //ev180_ringing(SIP_headerset,SIP_body);
    
    //evBYE(OMString,SIP_headerset,SIP_body);
    
    //rootState:
    
    //## statechart_method 
    inline bool rootState_IN() const;
    
    //## statechart_method 
    virtual void rootState_entDef();
    
    //## statechart_method 
    virtual IOxfReactive::TakeEventStatus rootState_processEvent();
    
    //mainState:
    
    //## statechart_method 
    inline bool mainState_IN() const;
    
    //WaitingForRequests:
    
    //## statechart_method 
    inline bool WaitingForRequests_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitingForRequests_processEvent();
    
    //registrar_redirect:
    
    //## statechart_method 
    inline bool registrar_redirect_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus registrar_redirect_processEvent();
    
    //WaitingForREGISTER:
    
    //## statechart_method 
    inline bool WaitingForREGISTER_IN() const;
    
    //registrar_redirect_Via_head_extracted:
    
    //## statechart_method 
    inline bool registrar_redirect_Via_head_extracted_IN() const;
    
    //UserAdded:
    
    //## statechart_method 
    inline bool UserAdded_IN() const;
    
    //UpdatingRecord:
    
    //## statechart_method 
    inline bool UpdatingRecord_IN() const;
    
    //Unregister:
    
    //## statechart_method 
    inline bool Unregister_IN() const;
    
    //TableSearched:
    
    //## statechart_method 
    inline bool TableSearched_IN() const;
    
    //SendingOK:
    
    //## statechart_method 
    inline bool SendingOK_IN() const;
    
    //OKsent:
    
    //## statechart_method 
    inline bool OKsent_IN() const;
    
    //evRegisterReceived:
    
    //## statechart_method 
    inline bool evRegisterReceived_IN() const;
    
    //registrar_redirect_DNSResponseReceived:
    
    //## statechart_method 
    inline bool registrar_redirect_DNSResponseReceived_IN() const;
    
    //registrar_redirect_DNSLookupToSend:
    
    //## statechart_method 
    inline bool registrar_redirect_DNSLookupToSend_IN() const;
    
    //CheckingTheUserTable:
    
    //## statechart_method 
    inline bool CheckingTheUserTable_IN() const;
    
    //proxy_server:
    
    //## statechart_method 
    inline bool proxy_server_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus proxy_server_processEvent();
    
    //WaitingForRequestResponse:
    
    //## statechart_method 
    inline bool WaitingForRequestResponse_IN() const;
    
    //ViaHeadRestored:
    
    //## statechart_method 
    inline bool ViaHeadRestored_IN() const;
    
    //ViaHead_restored:
    
    //## statechart_method 
    inline bool ViaHead_restored_IN() const;
    
    //ServerAddedToViaField:
    
    //## statechart_method 
    inline bool ServerAddedToViaField_IN() const;
    
    //ServerAddedTo_ViaField:
    
    //## statechart_method 
    inline bool ServerAddedTo_ViaField_IN() const;
    
    //RingingReceived:
    
    //## statechart_method 
    inline bool RingingReceived_IN() const;
    
    //reSendingTheRinging:
    
    //## statechart_method 
    inline bool reSendingTheRinging_IN() const;
    
    //reSendingTheOK:
    
    //## statechart_method 
    inline bool reSendingTheOK_IN() const;
    
    //reSendingTheBYE:
    
    //## statechart_method 
    inline bool reSendingTheBYE_IN() const;
    
    //reSendingTheACK:
    
    //## statechart_method 
    inline bool reSendingTheACK_IN() const;
    
    //OKreceived:
    
    //## statechart_method 
    inline bool OKreceived_IN() const;
    
    //INVITE_Received:
    
    //## statechart_method 
    inline bool INVITE_Received_IN() const;
    
    //## statechart_method 
    inline bool INVITE_Received_isCompleted();
    
    //Via_head_extracted:
    
    //## statechart_method 
    inline bool Via_head_extracted_IN() const;
    
    //UserTableChecked:
    
    //## statechart_method 
    inline bool UserTableChecked_IN() const;
    
    //UserRegistered_ContactingTheUser:
    
    //## statechart_method 
    inline bool UserRegistered_ContactingTheUser_IN() const;
    
    //UserNotRegistered_SendingNotFound:
    
    //## statechart_method 
    inline bool UserNotRegistered_SendingNotFound_IN() const;
    
    //state_82:
    
    //## statechart_method 
    inline bool state_82_IN() const;
    
    //state_81:
    
    //## statechart_method 
    inline bool state_81_IN() const;
    
    //reSendingTheINVITE:
    
    //## statechart_method 
    inline bool reSendingTheINVITE_IN() const;
    
    //NotFoundSent:
    
    //## statechart_method 
    inline bool NotFoundSent_IN() const;
    
    //INVITEReceived:
    
    //## statechart_method 
    inline bool INVITEReceived_IN() const;
    
    //DNSResponseReceived:
    
    //## statechart_method 
    inline bool DNSResponseReceived_IN() const;
    
    //DNSResponse_Received:
    
    //## statechart_method 
    inline bool DNSResponse_Received_IN() const;
    
    //DNSLookupToSend:
    
    //## statechart_method 
    inline bool DNSLookupToSend_IN() const;
    
    //DNSLookupTheContactFieldToResend:
    
    //## statechart_method 
    inline bool DNSLookupTheContactFieldToResend_IN() const;
    
    //CheckingTheTable:
    
    //## statechart_method 
    inline bool CheckingTheTable_IN() const;
    
    //BYEreceived:
    
    //## statechart_method 
    inline bool BYEreceived_IN() const;
    
    //ACKreceived:
    
    //## statechart_method 
    inline bool ACKreceived_IN() const;
    
    //InitializingState:
    
    //## statechart_method 
    inline bool InitializingState_IN() const;
    
    //## statechart_method 
    inline bool InitializingState_isCompleted();
    
    //state_19:
    
    //## statechart_method 
    inline bool state_19_IN() const;
    
    //Initial:
    
    //## statechart_method 
    inline bool Initial_IN() const;
    
    //addressReceived:
    
    //## statechart_method 
    inline bool addressReceived_IN() const;
    
    //AckSent:
    
    //## statechart_method 
    inline bool AckSent_IN() const;
    
    //## auto_generated 
    virtual bool startBehavior();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSLookupTheContactFieldToResend_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSResponseReceived_handleEvent();
    
    //## statechart_method 
    void mainState_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CheckingTheTable_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus TableSearched_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus INVITE_Received_handleEvent();
    
    //## statechart_method 
    void registrar_redirect_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSResponse_Received_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus NotFoundSent_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus reSendingTheINVITE_handleEvent();
    
    //## statechart_method 
    void INVITE_Received_exit();
    
    //## statechart_method 
    void proxy_server_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSLookupToSend_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus InitializingState_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Initial_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus UserTableChecked_handleEvent();
    
    //## statechart_method 
    void WaitingForRequests_exit();
    
    //## statechart_method 
    void registrar_redirect_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus addressReceived_handleEvent();
    
    //## statechart_method 
    void InitializingState_entDef();
    
    //## statechart_method 
    void InitializingState_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitingForRequestResponse_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus AckSent_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus INVITEReceived_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Via_head_extracted_handleEvent();
    
    //## statechart_method 
    void INVITE_Received_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_19_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus UserNotRegistered_SendingNotFound_handleEvent();
    
    //## statechart_method 
    void proxy_server_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus UserRegistered_ContactingTheUser_handleEvent();
    
    //## statechart_method 
    void WaitingForRequests_entDef();

protected :
    
    //## auto_generated 
    void initRelations();
    
    //## auto_generated 
    void initStatechart();
    
    //## auto_generated 
    void cleanUpRelations();


////    Attributes    ////
protected :
    
    bool IsBYEreceived;		//## attribute IsBYEreceived 
    
    OMString addressToRegister;		//## attribute addressToRegister 
    
    SIP_body body;		//## attribute body 
    
    SIP_body bodyReceived;		//## attribute bodyReceived 
    
    OMString client;		//## attribute client 
    
    OMString destination;		//## attribute destination 
    
    OMString dom_destination;		//## attribute dom_destination 
    
    char* dom_name;		//## attribute dom_name 
    
    OMString duration;		//## attribute duration 
    
    SIP_headerset headers;		//## attribute headers 
    
    SIP_headerset headersReceived;		//## attribute headersReceived 
    
    int i;		//## attribute i 
    
    int idx_called;		//## attribute idx_called 
    
    int j;		//## attribute j 
    
    int nb_users;		//## attribute nb_users 
    
    char* port;		//## attribute port 
    
    char* port_client;		//## attribute port_client 
    
    char* port_correspondant;		//## attribute port_correspondant 
    
    OMString redirection;		//## attribute redirection 
    
    int stringLength;		//## attribute stringLength 
    
    int stringLength2;		//## attribute stringLength2 
    
    OMString tmp_string;		//## attribute tmp_string 
    
    OMString to_adr;		//## attribute to_adr 
    
    int u;		//## attribute u 
    
    user_table_type users;		//## attribute users 
    
    OMString via_adr;		//## attribute via_adr 
    
    OMString via_extract;		//## attribute via_extract 
    

////    Relations and components    ////
protected :
    
    pA_C* pA;		//## classInstance pA 
    
    
    pBh_C* pBh;		//## classInstance pBh 
    
    
    pBw_C* pBw;		//## classInstance pBw 
    
    
    pC_C* pC;		//## classInstance pC 
    
    
    pDNS_C* pDNS;		//## classInstance pDNS 
    


////    Framework    ////
protected :
    
    //#[ ignore 
    //states enumeration: 
    enum SIP_Redirect_Enum{ OMNonState=0, mainState=1, WaitingForRequests=2, registrar_redirect=3, 
        WaitingForREGISTER=4, registrar_redirect_Via_head_extracted=5, UserAdded=6, UpdatingRecord=7, 
        Unregister=8, TableSearched=9, SendingOK=10, OKsent=11, 
        evRegisterReceived=12, registrar_redirect_DNSResponseReceived=13, registrar_redirect_DNSLookupToSend=14, CheckingTheUserTable=15, 
        proxy_server=16, WaitingForRequestResponse=17, ViaHeadRestored=18, ViaHead_restored=19, 
        ServerAddedToViaField=20, ServerAddedTo_ViaField=21, RingingReceived=22, reSendingTheRinging=23, 
        reSendingTheOK=24, reSendingTheBYE=25, reSendingTheACK=26, OKreceived=27, 
        INVITE_Received=28, Via_head_extracted=29, UserTableChecked=30, UserRegistered_ContactingTheUser=31, 
        UserNotRegistered_SendingNotFound=32, state_82=33, state_81=34, reSendingTheINVITE=35, 
        NotFoundSent=36, INVITEReceived=37, DNSResponseReceived=38, DNSResponse_Received=39, 
        DNSLookupToSend=40, DNSLookupTheContactFieldToResend=41, CheckingTheTable=42, BYEreceived=43, 
        ACKreceived=44, InitializingState=45, state_19=46, Initial=47, addressReceived=48, AckSent=49 };
        //#]
    
    int rootState_subState;		//## ignore 
    
    
    int rootState_active;		//## ignore 
    
    
    int mainState_subState;		//## ignore 
    
    
    int registrar_redirect_subState;		//## ignore 
    
    
    int registrar_redirect_active;		//## ignore 
    
    
    int proxy_server_subState;		//## ignore 
    
    
    int proxy_server_active;		//## ignore 
    
    
    int INVITE_Received_subState;		//## ignore 
    
    
    int InitializingState_subState;		//## ignore 
    

};
//---------------------------------------------------------------------------- 
// inline operations for SIP_Redirect
//---------------------------------------------------------------------------- 

inline bool SIP_Redirect::rootState_IN() const {
    return true;
}

inline bool SIP_Redirect::mainState_IN() const {
    return rootState_subState == mainState;
}

inline bool SIP_Redirect::WaitingForRequests_IN() const {
    return mainState_subState == WaitingForRequests;
}

inline bool SIP_Redirect::registrar_redirect_IN() const {
    return WaitingForRequests_IN();
}

inline bool SIP_Redirect::WaitingForREGISTER_IN() const {
    return registrar_redirect_subState == WaitingForREGISTER;
}

inline bool SIP_Redirect::registrar_redirect_Via_head_extracted_IN() const {
    return registrar_redirect_subState == registrar_redirect_Via_head_extracted;
}

inline bool SIP_Redirect::UserAdded_IN() const {
    return registrar_redirect_subState == UserAdded;
}

inline bool SIP_Redirect::UpdatingRecord_IN() const {
    return registrar_redirect_subState == UpdatingRecord;
}

inline bool SIP_Redirect::Unregister_IN() const {
    return registrar_redirect_subState == Unregister;
}

inline bool SIP_Redirect::TableSearched_IN() const {
    return registrar_redirect_subState == TableSearched;
}

inline bool SIP_Redirect::SendingOK_IN() const {
    return registrar_redirect_subState == SendingOK;
}

inline bool SIP_Redirect::OKsent_IN() const {
    return registrar_redirect_subState == OKsent;
}

inline bool SIP_Redirect::evRegisterReceived_IN() const {
    return registrar_redirect_subState == evRegisterReceived;
}

inline bool SIP_Redirect::registrar_redirect_DNSResponseReceived_IN() const {
    return registrar_redirect_subState == registrar_redirect_DNSResponseReceived;
}

inline bool SIP_Redirect::registrar_redirect_DNSLookupToSend_IN() const {
    return registrar_redirect_subState == registrar_redirect_DNSLookupToSend;
}

inline bool SIP_Redirect::CheckingTheUserTable_IN() const {
    return registrar_redirect_subState == CheckingTheUserTable;
}

inline bool SIP_Redirect::proxy_server_IN() const {
    return WaitingForRequests_IN();
}

inline bool SIP_Redirect::WaitingForRequestResponse_IN() const {
    return proxy_server_subState == WaitingForRequestResponse;
}

inline bool SIP_Redirect::ViaHeadRestored_IN() const {
    return proxy_server_subState == ViaHeadRestored;
}

inline bool SIP_Redirect::ViaHead_restored_IN() const {
    return proxy_server_subState == ViaHead_restored;
}

inline bool SIP_Redirect::ServerAddedToViaField_IN() const {
    return proxy_server_subState == ServerAddedToViaField;
}

inline bool SIP_Redirect::ServerAddedTo_ViaField_IN() const {
    return proxy_server_subState == ServerAddedTo_ViaField;
}

inline bool SIP_Redirect::RingingReceived_IN() const {
    return proxy_server_subState == RingingReceived;
}

inline bool SIP_Redirect::reSendingTheRinging_IN() const {
    return proxy_server_subState == reSendingTheRinging;
}

inline bool SIP_Redirect::reSendingTheOK_IN() const {
    return proxy_server_subState == reSendingTheOK;
}

inline bool SIP_Redirect::reSendingTheBYE_IN() const {
    return proxy_server_subState == reSendingTheBYE;
}

inline bool SIP_Redirect::reSendingTheACK_IN() const {
    return proxy_server_subState == reSendingTheACK;
}

inline bool SIP_Redirect::OKreceived_IN() const {
    return proxy_server_subState == OKreceived;
}

inline bool SIP_Redirect::INVITE_Received_IN() const {
    return proxy_server_subState == INVITE_Received;
}

inline bool SIP_Redirect::INVITE_Received_isCompleted() {
    return ( IS_IN(state_81) || IS_IN(state_82) );
}

inline bool SIP_Redirect::Via_head_extracted_IN() const {
    return INVITE_Received_subState == Via_head_extracted;
}

inline bool SIP_Redirect::UserTableChecked_IN() const {
    return INVITE_Received_subState == UserTableChecked;
}

inline bool SIP_Redirect::UserRegistered_ContactingTheUser_IN() const {
    return INVITE_Received_subState == UserRegistered_ContactingTheUser;
}

inline bool SIP_Redirect::UserNotRegistered_SendingNotFound_IN() const {
    return INVITE_Received_subState == UserNotRegistered_SendingNotFound;
}

inline bool SIP_Redirect::state_82_IN() const {
    return INVITE_Received_subState == state_82;
}

inline bool SIP_Redirect::state_81_IN() const {
    return INVITE_Received_subState == state_81;
}

inline bool SIP_Redirect::reSendingTheINVITE_IN() const {
    return INVITE_Received_subState == reSendingTheINVITE;
}

inline bool SIP_Redirect::NotFoundSent_IN() const {
    return INVITE_Received_subState == NotFoundSent;
}

inline bool SIP_Redirect::INVITEReceived_IN() const {
    return INVITE_Received_subState == INVITEReceived;
}

inline bool SIP_Redirect::DNSResponseReceived_IN() const {
    return INVITE_Received_subState == DNSResponseReceived;
}

inline bool SIP_Redirect::DNSResponse_Received_IN() const {
    return INVITE_Received_subState == DNSResponse_Received;
}

inline bool SIP_Redirect::DNSLookupToSend_IN() const {
    return INVITE_Received_subState == DNSLookupToSend;
}

inline bool SIP_Redirect::DNSLookupTheContactFieldToResend_IN() const {
    return INVITE_Received_subState == DNSLookupTheContactFieldToResend;
}

inline bool SIP_Redirect::CheckingTheTable_IN() const {
    return INVITE_Received_subState == CheckingTheTable;
}

inline bool SIP_Redirect::BYEreceived_IN() const {
    return proxy_server_subState == BYEreceived;
}

inline bool SIP_Redirect::ACKreceived_IN() const {
    return proxy_server_subState == ACKreceived;
}

inline bool SIP_Redirect::InitializingState_IN() const {
    return mainState_subState == InitializingState;
}

inline bool SIP_Redirect::InitializingState_isCompleted() {
    return ( IS_IN(state_19) );
}

inline bool SIP_Redirect::state_19_IN() const {
    return InitializingState_subState == state_19;
}

inline bool SIP_Redirect::Initial_IN() const {
    return InitializingState_subState == Initial;
}

inline bool SIP_Redirect::addressReceived_IN() const {
    return InitializingState_subState == addressReceived;
}

inline bool SIP_Redirect::AckSent_IN() const {
    return InitializingState_subState == AckSent;
}










#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedSIP_Redirect : public OMAnimatediDNSLookupResInit {

    
    DECLARE_REACTIVE_META(SIP_Redirect, OMAnimatedSIP_Redirect)


////    Framework operations    ////
public :
    
    virtual void serializeAttributes(AOMSAttributes* aomsAttributes) const;
    
    virtual void serializeRelations(AOMSRelations* aomsRelations) const;
    
    //## statechart_method 
    void rootState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void mainState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForRequests_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void registrar_redirect_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForREGISTER_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void registrar_redirect_Via_head_extracted_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void UserAdded_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void UpdatingRecord_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Unregister_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void TableSearched_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingOK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OKsent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void evRegisterReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void registrar_redirect_DNSResponseReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void registrar_redirect_DNSLookupToSend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingTheUserTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void proxy_server_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForRequestResponse_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ViaHeadRestored_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ViaHead_restored_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ServerAddedToViaField_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ServerAddedTo_ViaField_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void RingingReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void reSendingTheRinging_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void reSendingTheOK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void reSendingTheBYE_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void reSendingTheACK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OKreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void INVITE_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Via_head_extracted_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void UserTableChecked_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void UserRegistered_ContactingTheUser_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void UserNotRegistered_SendingNotFound_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_82_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_81_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void reSendingTheINVITE_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void NotFoundSent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void INVITEReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSResponseReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSResponse_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookupToSend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookupTheContactFieldToResend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingTheTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void BYEreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ACKreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void InitializingState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_19_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void addressReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AckSent_serializeStates(AOMSState* aomsState) const;


};

#endif // _OMINSTRUMENT

#endif  
/*********************************************************************
	File Path	: DefaultComponent/DefaultConfig/SIP_Redirect.h
*********************************************************************/

