/*********************************************************************
	Rhapsody	: 6.1 
	Login		: Masood Khosroshahy
	Component	: DefaultComponent 
	Configuration 	: DefaultConfig
	Model Element	: SIP_terminal
//!	Generated Date	: Thu, 20, Apr 2006  
	File Path	: DefaultComponent/DefaultConfig/SIP_terminal.h
*********************************************************************/


#ifndef SIP_terminal_H 

#define SIP_terminal_H 

#include <oxf/oxf.h>
#include <aom/aom.h>
#include "sip.h"
// class SIP_terminal 
#include "iDNSLookupResInit.h"
// class OutBound 
#include "iDNSLookupInitRes.h"
#include <oxf/OMDefaultReactivePort.h>

//## package sip 

//----------------------------------------------------------------------------
// SIP_terminal.h                                                                  
//----------------------------------------------------------------------------

#ifdef _OMINSTRUMENT
class OMAnimatedSIP_terminal;
#endif // _OMINSTRUMENT


//## class SIP_terminal 
class SIP_terminal : public iDNSLookupResInit {
public :
    
        
        //## ignore 
        class pDNS_C  {
        public :
            class InBound_C;
            class OutBound_C;
            
        public :
            
                
                //## ignore 
                class InBound_C : public iDNSLookupResInit {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    InBound_C();
                    
                    //## auto_generated 
                    virtual ~InBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    iDNSLookupResInit* getItsIDNSLookupResInit() const;
                    
                    //## auto_generated 
                    void setItsIDNSLookupResInit(iDNSLookupResInit* p_iDNSLookupResInit);
                    
                    //## auto_generated 
                    pDNS_C* getPort() const;
                    
                    //## auto_generated 
                    void setPort(pDNS_C* p_pDNS_C);
                
                
                ////    Framework operations    ////
                public :
                    
                    //## auto_generated 
                    void __setPort(pDNS_C* p_pDNS_C);
                    
                    //## auto_generated 
                    void _setPort(pDNS_C* p_pDNS_C);
                    
                    //## auto_generated 
                    void _clearPort();
                
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    iDNSLookupResInit* itsIDNSLookupResInit;		//## link itsIDNSLookupResInit 
                    
                    
                    pDNS_C* port;		//## link port 
                    
                
                
                };
                
            
                
                //## ignore 
                class OutBound_C : public iDNSLookupInitRes {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    OutBound_C();
                    
                    //## auto_generated 
                    virtual ~OutBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    OMReactive* getItsIDNSLookupInitRes() const;
                    
                    //## auto_generated 
                    void setItsIDNSLookupInitRes(OMReactive* p_OMReactive);
                
                
                ////    Framework operations    ////
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    OMReactive* itsIDNSLookupInitRes;		//## link itsIDNSLookupInitRes 
                    
                
                
                };
                
            
        //## ignore 
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pDNS_C();
            
            //## auto_generated 
            virtual ~pDNS_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
            
            //## operation getItsIDNSLookupInitRes() 
            iDNSLookupInitRes* getItsIDNSLookupInitRes();
            
            //## operation getItsIDNSLookupResInit() 
            iDNSLookupResInit* getItsIDNSLookupResInit();
            
            //## operation setItsIDNSLookupInitRes(OMReactive*) 
            void setItsIDNSLookupInitRes(OMReactive* p_iDNSLookupInitRes);
            
            //## operation setItsIDNSLookupResInit(iDNSLookupResInit*) 
            void setItsIDNSLookupResInit(iDNSLookupResInit* p_iDNSLookupResInit);
        
        
        ////    Additional operations    ////
        public :
            
            //## auto_generated 
            InBound_C* getInBound() const;
            
            //## auto_generated 
            OutBound_C* getOutBound() const;
        
        
        ////    Framework operations    ////
        public :
            
            //## auto_generated 
            void destroy();
        
        protected :
            
            //## auto_generated 
            void initRelations();
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        ////    Relations and components    ////
        protected :
            
            InBound_C InBound;		//## classInstance InBound 
            
            
            OutBound_C OutBound;		//## classInstance OutBound 
            
        
        
        };
        
    
        
        //## ignore 
        class pA_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pA_C();
            
            //## auto_generated 
            virtual ~pA_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pBh_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pBh_C();
            
            //## auto_generated 
            virtual ~pBh_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pBw_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pBw_C();
            
            //## auto_generated 
            virtual ~pBw_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pC_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pC_C();
            
            //## auto_generated 
            virtual ~pC_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pServer_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pServer_C();
            
            //## auto_generated 
            virtual ~pServer_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectSIP_terminal(SIP_terminal*) 
            void connectSIP_terminal(SIP_terminal* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
//## class SIP_terminal 


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedSIP_terminal;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    //## auto_generated 
    SIP_terminal(IOxfActive* theActiveContext = 0);
    
    //## auto_generated 
    ~SIP_terminal();


////    Operations    ////
public :
    
    //## operation calculateStringLength(OMString) 
    int calculateStringLength(const OMString& string);
    
    //## operation clearHeadersBody() 
    void clearHeadersBody();
    
    //## operation constructRedirectAddress(char*,char*) 
    OMString constructRedirectAddress(char* domName, char* sipAddressArg);
    
    //## operation dom_of_sip_addr(OMString) 
    OMString dom_of_sip_addr(const OMString& string);
    
    //## operation sendACK(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendACK(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendBYE(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendBYE(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendBusy(OMString,SIP_headerset,SIP_body) 
    void sendBusy(const OMString& port, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendINVITE(OMString,OMString,OMString,SIP_headerset,SIP_body) 
    void sendINVITE(const OMString& port, const OMString& c, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendNotFound(OMString,OMString,SIP_headerset,SIP_body) 
    void sendNotFound(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendOK(OMString,OMString,SIP_headerset,SIP_body) 
    void sendOK(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation sendREGISTER(OMString,SIP_headerset) 
    void sendREGISTER(const OMString& port, const SIP_headerset& h);
    
    //## operation sendRINGING(OMString,OMString,SIP_headerset,SIP_body) 
    void sendRINGING(const OMString& port, const OMString& viaHeader, const SIP_headerset& h, const SIP_body& b);
    
    //## operation via_head(OMString) 
    OMString via_head(const OMString& string);


////    Additional operations    ////
public :
    
    //## auto_generated 
    pDNS_C* getPDNS() const;
    
    //## auto_generated 
    pDNS_C* get_pDNS() const;
    
    //## auto_generated 
    pDNS_C* newPDNS();
    
    //## auto_generated 
    void deletePDNS();
    
    //## auto_generated 
    pA_C* getPA() const;
    
    //## auto_generated 
    pA_C* get_pA() const;
    
    //## auto_generated 
    pA_C* newPA();
    
    //## auto_generated 
    void deletePA();
    
    //## auto_generated 
    pBh_C* getPBh() const;
    
    //## auto_generated 
    pBh_C* get_pBh() const;
    
    //## auto_generated 
    pBh_C* newPBh();
    
    //## auto_generated 
    void deletePBh();
    
    //## auto_generated 
    pBw_C* getPBw() const;
    
    //## auto_generated 
    pBw_C* get_pBw() const;
    
    //## auto_generated 
    pBw_C* newPBw();
    
    //## auto_generated 
    void deletePBw();
    
    //## auto_generated 
    pC_C* getPC() const;
    
    //## auto_generated 
    pC_C* get_pC() const;
    
    //## auto_generated 
    pC_C* newPC();
    
    //## auto_generated 
    void deletePC();
    
    //## auto_generated 
    pServer_C* getPServer() const;
    
    //## auto_generated 
    pServer_C* get_pServer() const;
    
    //## auto_generated 
    pServer_C* newPServer();
    
    //## auto_generated 
    void deletePServer();
    
    //## auto_generated 
    SIP_body getBody() const;
    
    //## auto_generated 
    void setBody(SIP_body p_body);
    
    //## auto_generated 
    SIP_body getBodyReceived() const;
    
    //## auto_generated 
    void setBodyReceived(SIP_body p_bodyReceived);
    
    //## auto_generated 
    OMString getCorrespondant() const;
    
    //## auto_generated 
    void setCorrespondant(OMString p_correspondant);
    
    //## auto_generated 
    OMString getDom_correspondant() const;
    
    //## auto_generated 
    void setDom_correspondant(OMString p_dom_correspondant);
    
    //## auto_generated 
    char* getDom_name() const;
    
    //## auto_generated 
    void setDom_name(char* p_dom_name);
    
    //## auto_generated 
    OMString getDom_sip() const;
    
    //## auto_generated 
    void setDom_sip(OMString p_dom_sip);
    
    //## auto_generated 
    OMString getFrom_adr() const;
    
    //## auto_generated 
    void setFrom_adr(OMString p_from_adr);
    
    //## auto_generated 
    SIP_headerset getHeaders() const;
    
    //## auto_generated 
    void setHeaders(SIP_headerset p_headers);
    
    //## auto_generated 
    SIP_headerset getHeadersReceived() const;
    
    //## auto_generated 
    void setHeadersReceived(SIP_headerset p_headersReceived);
    
    //## auto_generated 
    int getI() const;
    
    //## auto_generated 
    void setI(int p_i);
    
    //## auto_generated 
    int getJ() const;
    
    //## auto_generated 
    void setJ(int p_j);
    
    //## auto_generated 
    int getK() const;
    
    //## auto_generated 
    void setK(int p_k);
    
    //## auto_generated 
    char* getPort_correspondant() const;
    
    //## auto_generated 
    void setPort_correspondant(char* p_port_correspondant);
    
    //## auto_generated 
    char* getPort_redirect() const;
    
    //## auto_generated 
    void setPort_redirect(char* p_port_redirect);
    
    //## auto_generated 
    bool getRedirect() const;
    
    //## auto_generated 
    void setRedirect(bool p_redirect);
    
    //## auto_generated 
    OMString getRedirectAddress() const;
    
    //## auto_generated 
    void setRedirectAddress(OMString p_redirectAddress);
    
    //## auto_generated 
    char* getSipAddress() const;
    
    //## auto_generated 
    void setSipAddress(char* p_sipAddress);
    
    //## auto_generated 
    char* getState() const;
    
    //## auto_generated 
    void setState(char* p_state);
    
    //## auto_generated 
    int getStringLength() const;
    
    //## auto_generated 
    void setStringLength(int p_stringLength);
    
    //## auto_generated 
    bool getTest() const;
    
    //## auto_generated 
    void setTest(bool p_test);
    
    //## auto_generated 
    OMString getTmp_string() const;
    
    //## auto_generated 
    void setTmp_string(OMString p_tmp_string);
    
    //## auto_generated 
    OMString getTo_adr() const;
    
    //## auto_generated 
    void setTo_adr(OMString p_to_adr);
    
    //## auto_generated 
    OMString getVia_adr() const;
    
    //## auto_generated 
    void setVia_adr(OMString p_via_adr);
    
    //## auto_generated 
    OMString getVia_extract() const;
    
    //## auto_generated 
    void setVia_extract(OMString p_via_extract);


////    Framework operations    ////
public :
    
    //evLogin(char*);
    
    //evLogout();
    
    //evCall(char*);
    
    //evINVITE(OMString,SIP_headerset,SIP_body);
    
    //ev200_OK(SIP_headerset,SIP_body);
    
    //ev180_ringing(SIP_headerset,SIP_body);
    
    //ev100_trying(SIP_headerset,SIP_body);
    
    //ev486_busy_here(SIP_headerset,SIP_body);
    
    //ev404_not_found(SIP_headerset,SIP_body);
    
    //evBYE(OMString,SIP_headerset,SIP_body);
    
    //evHangup();
    
    //evDoCallForwarding(char*);
    
    //evDoCallFwdOnBusy(char*);
    
    //evACK(OMString,SIP_headerset,SIP_body);
    
    //ev301_moved_perm(OMString,SIP_headerset,SIP_body);
    
    //rootState:
    
    //## statechart_method 
    inline bool rootState_IN() const;
    
    //## statechart_method 
    virtual void rootState_entDef();
    
    //## statechart_method 
    virtual IOxfReactive::TakeEventStatus rootState_processEvent();
    
    //mainState:
    
    //## statechart_method 
    inline bool mainState_IN() const;
    
    //WaitingForCommandsAndRequests:
    
    //## statechart_method 
    inline bool WaitingForCommandsAndRequests_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitingForCommandsAndRequests_processEvent();
    
    //user_agent_server:
    
    //## statechart_method 
    inline bool user_agent_server_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus user_agent_server_processEvent();
    
    //WaitingForRequests:
    
    //## statechart_method 
    inline bool WaitingForRequests_IN() const;
    
    //via_head_extracted:
    
    //## statechart_method 
    inline bool via_head_extracted_IN() const;
    
    //Via_head_extracted:
    
    //## statechart_method 
    inline bool Via_head_extracted_IN() const;
    
    //SendingRinging:
    
    //## statechart_method 
    inline bool SendingRinging_IN() const;
    
    //SendingOK:
    
    //## statechart_method 
    inline bool SendingOK_IN() const;
    
    //SendingNotFound:
    
    //## statechart_method 
    inline bool SendingNotFound_IN() const;
    
    //SendingBusy:
    
    //## statechart_method 
    inline bool SendingBusy_IN() const;
    
    //Sending_OK:
    
    //## statechart_method 
    inline bool Sending_OK_IN() const;
    
    //RecevingACK:
    
    //## statechart_method 
    inline bool RecevingACK_IN() const;
    
    //INVITEReceived:
    
    //## statechart_method 
    inline bool INVITEReceived_IN() const;
    
    //user_agent_server_DNSResponseReceived:
    
    //## statechart_method 
    inline bool user_agent_server_DNSResponseReceived_IN() const;
    
    //DNSResponse_Received:
    
    //## statechart_method 
    inline bool DNSResponse_Received_IN() const;
    
    //user_agent_server_DNSLookupToSend:
    
    //## statechart_method 
    inline bool user_agent_server_DNSLookupToSend_IN() const;
    
    //DNSLookup_ToSend:
    
    //## statechart_method 
    inline bool DNSLookup_ToSend_IN() const;
    
    //CheckingState:
    
    //## statechart_method 
    inline bool CheckingState_IN() const;
    
    //Changing_State:
    
    //## statechart_method 
    inline bool Changing_State_IN() const;
    
    //user_agent_server_ChangeState:
    
    //## statechart_method 
    inline bool user_agent_server_ChangeState_IN() const;
    
    //BYEreceived:
    
    //## statechart_method 
    inline bool BYEreceived_IN() const;
    
    //user_agent_client:
    
    //## statechart_method 
    inline bool user_agent_client_IN() const;
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus user_agent_client_processEvent();
    
    //WaitingForCommands:
    
    //## statechart_method 
    inline bool WaitingForCommands_IN() const;
    
    //WaitForINVITEResponse:
    
    //## statechart_method 
    inline bool WaitForINVITEResponse_IN() const;
    
    //## statechart_method 
    inline bool WaitForINVITEResponse_isCompleted();
    
    //WaitForResponse:
    
    //## statechart_method 
    inline bool WaitForResponse_IN() const;
    
    //Trying_100_Received:
    
    //## statechart_method 
    inline bool Trying_100_Received_IN() const;
    
    //StateChange:
    
    //## statechart_method 
    inline bool StateChange_IN() const;
    
    //state_99:
    
    //## statechart_method 
    inline bool state_99_IN() const;
    
    //state_71:
    
    //## statechart_method 
    inline bool state_71_IN() const;
    
    //state_65:
    
    //## statechart_method 
    inline bool state_65_IN() const;
    
    //Ringing_180_Received:
    
    //## statechart_method 
    inline bool Ringing_180_Received_IN() const;
    
    //OKReceived:
    
    //## statechart_method 
    inline bool OKReceived_IN() const;
    
    //Not_found_404_Received:
    
    //## statechart_method 
    inline bool Not_found_404_Received_IN() const;
    
    //Moved_301_Received:
    
    //## statechart_method 
    inline bool Moved_301_Received_IN() const;
    
    //HeaderBodyConstruction:
    
    //## statechart_method 
    inline bool HeaderBodyConstruction_IN() const;
    
    //HeaderBody_Construction:
    
    //## statechart_method 
    inline bool HeaderBody_Construction_IN() const;
    
    //Busy_here_486_Received:
    
    //## statechart_method 
    inline bool Busy_here_486_Received_IN() const;
    
    //ACKsentToServer:
    
    //## statechart_method 
    inline bool ACKsentToServer_IN() const;
    
    //ACKsent:
    
    //## statechart_method 
    inline bool ACKsent_IN() const;
    
    //OK_Received:
    
    //## statechart_method 
    inline bool OK_Received_IN() const;
    
    //Logout:
    
    //## statechart_method 
    inline bool Logout_IN() const;
    
    //## statechart_method 
    inline bool Logout_isCompleted();
    
    //state_113:
    
    //## statechart_method 
    inline bool state_113_IN() const;
    
    //state_112:
    
    //## statechart_method 
    inline bool state_112_IN() const;
    
    //Logout_SendingREGISTERrequest:
    
    //## statechart_method 
    inline bool Logout_SendingREGISTERrequest_IN() const;
    
    //Logout_SendingREGISTER:
    
    //## statechart_method 
    inline bool Logout_SendingREGISTER_IN() const;
    
    //Logout_OKreceived:
    
    //## statechart_method 
    inline bool Logout_OKreceived_IN() const;
    
    //Logout_Initial:
    
    //## statechart_method 
    inline bool Logout_Initial_IN() const;
    
    //Logout_ConstructingTheMessage:
    
    //## statechart_method 
    inline bool Logout_ConstructingTheMessage_IN() const;
    
    //Logout_ChangeState:
    
    //## statechart_method 
    inline bool Logout_ChangeState_IN() const;
    
    //LogIn:
    
    //## statechart_method 
    inline bool LogIn_IN() const;
    
    //## statechart_method 
    inline bool LogIn_isCompleted();
    
    //state_59:
    
    //## statechart_method 
    inline bool state_59_IN() const;
    
    //state_104:
    
    //## statechart_method 
    inline bool state_104_IN() const;
    
    //SendingREGISTERrequest:
    
    //## statechart_method 
    inline bool SendingREGISTERrequest_IN() const;
    
    //SendingREGISTER:
    
    //## statechart_method 
    inline bool SendingREGISTER_IN() const;
    
    //OKreceived:
    
    //## statechart_method 
    inline bool OKreceived_IN() const;
    
    //LengthOfAddressCaculated:
    
    //## statechart_method 
    inline bool LengthOfAddressCaculated_IN() const;
    
    //Initial:
    
    //## statechart_method 
    inline bool Initial_IN() const;
    
    //DomainOfSIPAddressExtracted:
    
    //## statechart_method 
    inline bool DomainOfSIPAddressExtracted_IN() const;
    
    //DNSLookupSent:
    
    //## statechart_method 
    inline bool DNSLookupSent_IN() const;
    
    //DNSLookupResponseReceived:
    
    //## statechart_method 
    inline bool DNSLookupResponseReceived_IN() const;
    
    //DNSLookup:
    
    //## statechart_method 
    inline bool DNSLookup_IN() const;
    
    //ConstructingTheMessage:
    
    //## statechart_method 
    inline bool ConstructingTheMessage_IN() const;
    
    //ChangeState:
    
    //## statechart_method 
    inline bool ChangeState_IN() const;
    
    //INVITE_sent:
    
    //## statechart_method 
    inline bool INVITE_sent_IN() const;
    
    //Hangup:
    
    //## statechart_method 
    inline bool Hangup_IN() const;
    
    //GettingTheDomainOfCorrespondant:
    
    //## statechart_method 
    inline bool GettingTheDomainOfCorrespondant_IN() const;
    
    //Do_call_fwd_on_busy_Received:
    
    //## statechart_method 
    inline bool Do_call_fwd_on_busy_Received_IN() const;
    
    //Do_call_forwarding_Received:
    
    //## statechart_method 
    inline bool Do_call_forwarding_Received_IN() const;
    
    //DNSResponseReceived:
    
    //## statechart_method 
    inline bool DNSResponseReceived_IN() const;
    
    //DNSLookupToSend:
    
    //## statechart_method 
    inline bool DNSLookupToSend_IN() const;
    
    //user_agent_client_ConstructingTheMessage:
    
    //## statechart_method 
    inline bool user_agent_client_ConstructingTheMessage_IN() const;
    
    //ChangeStateToBusy:
    
    //## statechart_method 
    inline bool ChangeStateToBusy_IN() const;
    
    //user_agent_client_ChangeState:
    
    //## statechart_method 
    inline bool user_agent_client_ChangeState_IN() const;
    
    //Call:
    
    //## statechart_method 
    inline bool Call_IN() const;
    
    //BYE_sent:
    
    //## statechart_method 
    inline bool BYE_sent_IN() const;
    
    //InitializationState:
    
    //## statechart_method 
    inline bool InitializationState_IN() const;
    
    //## statechart_method 
    inline bool InitializationState_isCompleted();
    
    //state_20:
    
    //## statechart_method 
    inline bool state_20_IN() const;
    
    //InitializationState_Initial:
    
    //## statechart_method 
    inline bool InitializationState_Initial_IN() const;
    
    //addressReceived:
    
    //## statechart_method 
    inline bool addressReceived_IN() const;
    
    //AckSent:
    
    //## statechart_method 
    inline bool AckSent_IN() const;
    
    //## auto_generated 
    virtual bool startBehavior();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus InitializationState_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus SendingREGISTERrequest_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus OKReceived_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus OKreceived_handleEvent();
    
    //## statechart_method 
    void user_agent_server_exit();
    
    //## statechart_method 
    void mainState_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSLookup_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus LengthOfAddressCaculated_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus SendingREGISTER_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Moved_301_Received_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ChangeState_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ConstructingTheMessage_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus HeaderBodyConstruction_handleEvent();
    
    //## statechart_method 
    void WaitingForCommandsAndRequests_exit();
    
    //## statechart_method 
    void Logout_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_99_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitForINVITEResponse_handleEvent();
    
    //## statechart_method 
    void WaitForINVITEResponse_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitingForCommands_handleEvent();
    
    //## statechart_method 
    void user_agent_client_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSLookupResponseReceived_handleEvent();
    
    //## statechart_method 
    void user_agent_server_entDef();
    
    //## statechart_method 
    void InitializationState_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Initial_handleEvent();
    
    //## statechart_method 
    void LogIn_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitForINVITEResponseTakeNull();
    
    //## statechart_method 
    void InitializationState_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus LogIn_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_71_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus WaitForResponse_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus InitializationState_Initial_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DNSLookupSent_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus DomainOfSIPAddressExtracted_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Busy_here_486_Received_handleEvent();
    
    //## statechart_method 
    void WaitForINVITEResponse_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Not_found_404_Received_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus addressReceived_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CheckingState_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus AckSent_handleEvent();
    
    //## statechart_method 
    void LogIn_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus HeaderBody_Construction_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_65_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus StateChange_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Trying_100_Received_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Logout_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ACKsentToServer_handleEvent();
    
    //## statechart_method 
    void user_agent_client_entDef();
    
    //## statechart_method 
    void WaitingForCommandsAndRequests_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_20_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Logout_Initial_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ACKsent_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Ringing_180_Received_handleEvent();
    
    //## statechart_method 
    void Logout_exit();

protected :
    
    //## auto_generated 
    void initRelations();
    
    //## auto_generated 
    void initStatechart();
    
    //## auto_generated 
    void cleanUpRelations();


////    Attributes    ////
protected :
    
    SIP_body body;		//## attribute body 
    
    SIP_body bodyReceived;		//## attribute bodyReceived 
    
    OMString correspondant;		//## attribute correspondant 
    
    OMString dom_correspondant;		//## attribute dom_correspondant 
    
    char* dom_name;		//## attribute dom_name 
    
    OMString dom_sip;		//## attribute dom_sip 
    
    OMString from_adr;		//## attribute from_adr 
    
    SIP_headerset headers;		//## attribute headers 
    
    SIP_headerset headersReceived;		//## attribute headersReceived 
    
    int i;		//## attribute i 
    
    int j;		//## attribute j 
    
    int k;		//## attribute k 
    
    char* port_correspondant;		//## attribute port_correspondant 
    
    char* port_redirect;		//## attribute port_redirect 
    
    bool redirect;		//## attribute redirect 
    
    OMString redirectAddress;		//## attribute redirectAddress 
    
    char* sipAddress;		//## attribute sipAddress 
    
    // State values:
    // NotLoggedIn
    // Free
    // Busy
    char* state;		//## attribute state 
    
    int stringLength;		//## attribute stringLength 
    
    bool test;		//## attribute test 
    
    OMString tmp_string;		//## attribute tmp_string 
    
    OMString to_adr;		//## attribute to_adr 
    
    OMString via_adr;		//## attribute via_adr 
    
    OMString via_extract;		//## attribute via_extract 
    

////    Relations and components    ////
protected :
    
    pDNS_C* pDNS;		//## classInstance pDNS 
    
    
    pA_C* pA;		//## classInstance pA 
    
    
    pBh_C* pBh;		//## classInstance pBh 
    
    
    pBw_C* pBw;		//## classInstance pBw 
    
    
    pC_C* pC;		//## classInstance pC 
    
    
    pServer_C* pServer;		//## classInstance pServer 
    


////    Framework    ////
protected :
    
    //#[ ignore 
    //states enumeration: 
    enum SIP_terminal_Enum{ OMNonState=0, mainState=1, WaitingForCommandsAndRequests=2, user_agent_server=3, 
        WaitingForRequests=4, via_head_extracted=5, Via_head_extracted=6, SendingRinging=7, 
        SendingOK=8, SendingNotFound=9, SendingBusy=10, Sending_OK=11, 
        RecevingACK=12, INVITEReceived=13, user_agent_server_DNSResponseReceived=14, DNSResponse_Received=15, 
        user_agent_server_DNSLookupToSend=16, DNSLookup_ToSend=17, CheckingState=18, Changing_State=19, 
        user_agent_server_ChangeState=20, BYEreceived=21, user_agent_client=22, WaitingForCommands=23, 
        WaitForINVITEResponse=24, WaitForResponse=25, Trying_100_Received=26, StateChange=27, 
        state_99=28, state_71=29, state_65=30, Ringing_180_Received=31, 
        OKReceived=32, Not_found_404_Received=33, Moved_301_Received=34, HeaderBodyConstruction=35, 
        HeaderBody_Construction=36, Busy_here_486_Received=37, ACKsentToServer=38, ACKsent=39, 
        OK_Received=40, Logout=41, state_113=42, state_112=43, 
        Logout_SendingREGISTERrequest=44, Logout_SendingREGISTER=45, Logout_OKreceived=46, Logout_Initial=47, 
        Logout_ConstructingTheMessage=48, Logout_ChangeState=49, LogIn=50, state_59=51, 
        state_104=52, SendingREGISTERrequest=53, SendingREGISTER=54, OKreceived=55, 
        LengthOfAddressCaculated=56, Initial=57, DomainOfSIPAddressExtracted=58, DNSLookupSent=59, 
        DNSLookupResponseReceived=60, DNSLookup=61, ConstructingTheMessage=62, ChangeState=63, 
        INVITE_sent=64, Hangup=65, GettingTheDomainOfCorrespondant=66, Do_call_fwd_on_busy_Received=67, 
        Do_call_forwarding_Received=68, DNSResponseReceived=69, DNSLookupToSend=70, user_agent_client_ConstructingTheMessage=71, 
        ChangeStateToBusy=72, user_agent_client_ChangeState=73, Call=74, BYE_sent=75, 
        InitializationState=76, state_20=77, InitializationState_Initial=78, addressReceived=79, AckSent=80 };
        //#]
    
    int rootState_subState;		//## ignore 
    
    
    int rootState_active;		//## ignore 
    
    
    int mainState_subState;		//## ignore 
    
    
    int user_agent_server_subState;		//## ignore 
    
    
    int user_agent_server_active;		//## ignore 
    
    
    int user_agent_client_subState;		//## ignore 
    
    
    int user_agent_client_active;		//## ignore 
    
    
    int WaitForINVITEResponse_subState;		//## ignore 
    
    
    int Logout_subState;		//## ignore 
    
    
    int LogIn_subState;		//## ignore 
    
    
    int InitializationState_subState;		//## ignore 
    

};
//---------------------------------------------------------------------------- 
// inline operations for SIP_terminal
//---------------------------------------------------------------------------- 

inline bool SIP_terminal::rootState_IN() const {
    return true;
}

inline bool SIP_terminal::mainState_IN() const {
    return rootState_subState == mainState;
}

inline bool SIP_terminal::WaitingForCommandsAndRequests_IN() const {
    return mainState_subState == WaitingForCommandsAndRequests;
}

inline bool SIP_terminal::user_agent_server_IN() const {
    return WaitingForCommandsAndRequests_IN();
}

inline bool SIP_terminal::WaitingForRequests_IN() const {
    return user_agent_server_subState == WaitingForRequests;
}

inline bool SIP_terminal::via_head_extracted_IN() const {
    return user_agent_server_subState == via_head_extracted;
}

inline bool SIP_terminal::Via_head_extracted_IN() const {
    return user_agent_server_subState == Via_head_extracted;
}

inline bool SIP_terminal::SendingRinging_IN() const {
    return user_agent_server_subState == SendingRinging;
}

inline bool SIP_terminal::SendingOK_IN() const {
    return user_agent_server_subState == SendingOK;
}

inline bool SIP_terminal::SendingNotFound_IN() const {
    return user_agent_server_subState == SendingNotFound;
}

inline bool SIP_terminal::SendingBusy_IN() const {
    return user_agent_server_subState == SendingBusy;
}

inline bool SIP_terminal::Sending_OK_IN() const {
    return user_agent_server_subState == Sending_OK;
}

inline bool SIP_terminal::RecevingACK_IN() const {
    return user_agent_server_subState == RecevingACK;
}

inline bool SIP_terminal::INVITEReceived_IN() const {
    return user_agent_server_subState == INVITEReceived;
}

inline bool SIP_terminal::user_agent_server_DNSResponseReceived_IN() const {
    return user_agent_server_subState == user_agent_server_DNSResponseReceived;
}

inline bool SIP_terminal::DNSResponse_Received_IN() const {
    return user_agent_server_subState == DNSResponse_Received;
}

inline bool SIP_terminal::user_agent_server_DNSLookupToSend_IN() const {
    return user_agent_server_subState == user_agent_server_DNSLookupToSend;
}

inline bool SIP_terminal::DNSLookup_ToSend_IN() const {
    return user_agent_server_subState == DNSLookup_ToSend;
}

inline bool SIP_terminal::CheckingState_IN() const {
    return user_agent_server_subState == CheckingState;
}

inline bool SIP_terminal::Changing_State_IN() const {
    return user_agent_server_subState == Changing_State;
}

inline bool SIP_terminal::user_agent_server_ChangeState_IN() const {
    return user_agent_server_subState == user_agent_server_ChangeState;
}

inline bool SIP_terminal::BYEreceived_IN() const {
    return user_agent_server_subState == BYEreceived;
}

inline bool SIP_terminal::user_agent_client_IN() const {
    return WaitingForCommandsAndRequests_IN();
}

inline bool SIP_terminal::WaitingForCommands_IN() const {
    return user_agent_client_subState == WaitingForCommands;
}

inline bool SIP_terminal::WaitForINVITEResponse_IN() const {
    return user_agent_client_subState == WaitForINVITEResponse;
}

inline bool SIP_terminal::WaitForINVITEResponse_isCompleted() {
    return ( IS_IN(state_65) || IS_IN(state_71) || IS_IN(state_99) );
}

inline bool SIP_terminal::WaitForResponse_IN() const {
    return WaitForINVITEResponse_subState == WaitForResponse;
}

inline bool SIP_terminal::Trying_100_Received_IN() const {
    return WaitForINVITEResponse_subState == Trying_100_Received;
}

inline bool SIP_terminal::StateChange_IN() const {
    return WaitForINVITEResponse_subState == StateChange;
}

inline bool SIP_terminal::state_99_IN() const {
    return WaitForINVITEResponse_subState == state_99;
}

inline bool SIP_terminal::state_71_IN() const {
    return WaitForINVITEResponse_subState == state_71;
}

inline bool SIP_terminal::state_65_IN() const {
    return WaitForINVITEResponse_subState == state_65;
}

inline bool SIP_terminal::Ringing_180_Received_IN() const {
    return WaitForINVITEResponse_subState == Ringing_180_Received;
}

inline bool SIP_terminal::OKReceived_IN() const {
    return WaitForINVITEResponse_subState == OKReceived;
}

inline bool SIP_terminal::Not_found_404_Received_IN() const {
    return WaitForINVITEResponse_subState == Not_found_404_Received;
}

inline bool SIP_terminal::Moved_301_Received_IN() const {
    return WaitForINVITEResponse_subState == Moved_301_Received;
}

inline bool SIP_terminal::HeaderBodyConstruction_IN() const {
    return WaitForINVITEResponse_subState == HeaderBodyConstruction;
}

inline bool SIP_terminal::HeaderBody_Construction_IN() const {
    return WaitForINVITEResponse_subState == HeaderBody_Construction;
}

inline bool SIP_terminal::Busy_here_486_Received_IN() const {
    return WaitForINVITEResponse_subState == Busy_here_486_Received;
}

inline bool SIP_terminal::ACKsentToServer_IN() const {
    return WaitForINVITEResponse_subState == ACKsentToServer;
}

inline bool SIP_terminal::ACKsent_IN() const {
    return WaitForINVITEResponse_subState == ACKsent;
}

inline bool SIP_terminal::OK_Received_IN() const {
    return user_agent_client_subState == OK_Received;
}

inline bool SIP_terminal::Logout_IN() const {
    return user_agent_client_subState == Logout;
}

inline bool SIP_terminal::Logout_isCompleted() {
    return ( IS_IN(state_112) || IS_IN(state_113) );
}

inline bool SIP_terminal::state_113_IN() const {
    return Logout_subState == state_113;
}

inline bool SIP_terminal::state_112_IN() const {
    return Logout_subState == state_112;
}

inline bool SIP_terminal::Logout_SendingREGISTERrequest_IN() const {
    return Logout_subState == Logout_SendingREGISTERrequest;
}

inline bool SIP_terminal::Logout_SendingREGISTER_IN() const {
    return Logout_subState == Logout_SendingREGISTER;
}

inline bool SIP_terminal::Logout_OKreceived_IN() const {
    return Logout_subState == Logout_OKreceived;
}

inline bool SIP_terminal::Logout_Initial_IN() const {
    return Logout_subState == Logout_Initial;
}

inline bool SIP_terminal::Logout_ConstructingTheMessage_IN() const {
    return Logout_subState == Logout_ConstructingTheMessage;
}

inline bool SIP_terminal::Logout_ChangeState_IN() const {
    return Logout_subState == Logout_ChangeState;
}

inline bool SIP_terminal::LogIn_IN() const {
    return user_agent_client_subState == LogIn;
}

inline bool SIP_terminal::LogIn_isCompleted() {
    return ( IS_IN(state_59) || IS_IN(state_104) );
}

inline bool SIP_terminal::state_59_IN() const {
    return LogIn_subState == state_59;
}

inline bool SIP_terminal::state_104_IN() const {
    return LogIn_subState == state_104;
}

inline bool SIP_terminal::SendingREGISTERrequest_IN() const {
    return LogIn_subState == SendingREGISTERrequest;
}

inline bool SIP_terminal::SendingREGISTER_IN() const {
    return LogIn_subState == SendingREGISTER;
}

inline bool SIP_terminal::OKreceived_IN() const {
    return LogIn_subState == OKreceived;
}

inline bool SIP_terminal::LengthOfAddressCaculated_IN() const {
    return LogIn_subState == LengthOfAddressCaculated;
}

inline bool SIP_terminal::Initial_IN() const {
    return LogIn_subState == Initial;
}

inline bool SIP_terminal::DomainOfSIPAddressExtracted_IN() const {
    return LogIn_subState == DomainOfSIPAddressExtracted;
}

inline bool SIP_terminal::DNSLookupSent_IN() const {
    return LogIn_subState == DNSLookupSent;
}

inline bool SIP_terminal::DNSLookupResponseReceived_IN() const {
    return LogIn_subState == DNSLookupResponseReceived;
}

inline bool SIP_terminal::DNSLookup_IN() const {
    return LogIn_subState == DNSLookup;
}

inline bool SIP_terminal::ConstructingTheMessage_IN() const {
    return LogIn_subState == ConstructingTheMessage;
}

inline bool SIP_terminal::ChangeState_IN() const {
    return LogIn_subState == ChangeState;
}

inline bool SIP_terminal::INVITE_sent_IN() const {
    return user_agent_client_subState == INVITE_sent;
}

inline bool SIP_terminal::Hangup_IN() const {
    return user_agent_client_subState == Hangup;
}

inline bool SIP_terminal::GettingTheDomainOfCorrespondant_IN() const {
    return user_agent_client_subState == GettingTheDomainOfCorrespondant;
}

inline bool SIP_terminal::Do_call_fwd_on_busy_Received_IN() const {
    return user_agent_client_subState == Do_call_fwd_on_busy_Received;
}

inline bool SIP_terminal::Do_call_forwarding_Received_IN() const {
    return user_agent_client_subState == Do_call_forwarding_Received;
}

inline bool SIP_terminal::DNSResponseReceived_IN() const {
    return user_agent_client_subState == DNSResponseReceived;
}

inline bool SIP_terminal::DNSLookupToSend_IN() const {
    return user_agent_client_subState == DNSLookupToSend;
}

inline bool SIP_terminal::user_agent_client_ConstructingTheMessage_IN() const {
    return user_agent_client_subState == user_agent_client_ConstructingTheMessage;
}

inline bool SIP_terminal::ChangeStateToBusy_IN() const {
    return user_agent_client_subState == ChangeStateToBusy;
}

inline bool SIP_terminal::user_agent_client_ChangeState_IN() const {
    return user_agent_client_subState == user_agent_client_ChangeState;
}

inline bool SIP_terminal::Call_IN() const {
    return user_agent_client_subState == Call;
}

inline bool SIP_terminal::BYE_sent_IN() const {
    return user_agent_client_subState == BYE_sent;
}

inline bool SIP_terminal::InitializationState_IN() const {
    return mainState_subState == InitializationState;
}

inline bool SIP_terminal::InitializationState_isCompleted() {
    return ( IS_IN(state_20) );
}

inline bool SIP_terminal::state_20_IN() const {
    return InitializationState_subState == state_20;
}

inline bool SIP_terminal::InitializationState_Initial_IN() const {
    return InitializationState_subState == InitializationState_Initial;
}

inline bool SIP_terminal::addressReceived_IN() const {
    return InitializationState_subState == addressReceived;
}

inline bool SIP_terminal::AckSent_IN() const {
    return InitializationState_subState == AckSent;
}











#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedSIP_terminal : public OMAnimatediDNSLookupResInit {

    
    DECLARE_REACTIVE_META(SIP_terminal, OMAnimatedSIP_terminal)


////    Framework operations    ////
public :
    
    virtual void serializeAttributes(AOMSAttributes* aomsAttributes) const;
    
    virtual void serializeRelations(AOMSRelations* aomsRelations) const;
    
    //## statechart_method 
    void rootState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void mainState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForCommandsAndRequests_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_server_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForRequests_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void via_head_extracted_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Via_head_extracted_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingRinging_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingOK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingNotFound_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingBusy_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Sending_OK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void RecevingACK_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void INVITEReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_server_DNSResponseReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSResponse_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_server_DNSLookupToSend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookup_ToSend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Changing_State_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_server_ChangeState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void BYEreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_client_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitingForCommands_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitForINVITEResponse_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void WaitForResponse_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Trying_100_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void StateChange_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_99_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_71_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_65_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Ringing_180_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OKReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Not_found_404_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Moved_301_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void HeaderBodyConstruction_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void HeaderBody_Construction_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Busy_here_486_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ACKsentToServer_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ACKsent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OK_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_113_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_112_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_SendingREGISTERrequest_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_SendingREGISTER_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_OKreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_ConstructingTheMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Logout_ChangeState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void LogIn_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_59_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_104_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingREGISTERrequest_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingREGISTER_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OKreceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void LengthOfAddressCaculated_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DomainOfSIPAddressExtracted_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookupSent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookupResponseReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookup_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ConstructingTheMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ChangeState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void INVITE_sent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Hangup_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void GettingTheDomainOfCorrespondant_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Do_call_fwd_on_busy_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Do_call_forwarding_Received_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSResponseReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void DNSLookupToSend_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_client_ConstructingTheMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ChangeStateToBusy_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void user_agent_client_ChangeState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Call_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void BYE_sent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void InitializationState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_20_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void InitializationState_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void addressReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AckSent_serializeStates(AOMSState* aomsState) const;


};

#endif // _OMINSTRUMENT

#endif  
/*********************************************************************
	File Path	: DefaultComponent/DefaultConfig/SIP_terminal.h
*********************************************************************/

